GET
/integration/v1/users/{user_id}
Find user by id
Find user by id
operationId Find user by id
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
user_id
|
string (uuid) | required | user_id |
Responses
200
application/json body
| Field | Type | Required | Description |
|---|---|---|---|
username
|
string | optional | Username |
first_name
|
string | optional | First Name |
last_name
|
string | optional | Last Name |
employee_id
|
string | optional | Employee ID |
email
|
string | optional | |
position
|
string | optional | Position |
gender
|
string | optional | Gender |
date_of_birth
|
string | optional | Date of Birth |
city
|
string | optional | City |
company
|
string | optional | Company |
department
|
string | optional | Department |
nationality
|
string | optional | Nationality |
center
|
string | optional | Center |
is_tna
|
boolean | optional | Is TNA |
custom_fields
|
object | optional | Extra fields |
phone_number
|
string | optional | Phone Number |
is_active
|
boolean | required | Is Active |
group_ids
|
array | optional | Groups |
group
|
string (uuid) | optional | Group |
created_at
|
string (date) | required | Created At |
412 Invalid parameters
500 Server error
512 Specification violations